build:
	docker-compose build rookeries

test:
	docker-compose up -d couchdb
	docker-compose run rookeries inv test.style
	docker-compose run rookeries inv test.tasks
	docker-compose run rookeries inv test.server --couchdb-connection=http://admin:password@couchdb:5984/

feature_tests:
	docker-compose up -d couchdb
	docker-compose run rookeries inv test.features --couchdb-connection=http://admin:password@couchdb:5984/ --browser=phantomjs

demo:
	docker-compose up -d
	python -m webbrowser -n http://localhost:5000/

destroy:
	docker-compose down

